{"openapi":"3.0.4","info":{"title":"Perform valuation for a Fund.","description":"Perform valuation on a specified Fund.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/funds/{scope}/{code}/$valuation":{"post":{"tags":["Funds"],"summary":"Perform valuation for a Fund.","description":"Perform valuation on a specified Fund.","operationId":"GetValuationForFund","parameters":[{"name":"scope","in":"path","description":"The scope of the Fund.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code of the Fund. Together with the scope this uniquely identifies the Fund.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"navTypeCode","in":"query","description":"When provided, runs against the specified NAV Type, otherwise the Primary NAV Type will be used.","schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}}],"requestBody":{"description":"The request specifying the dates (or DiaryEntry) on which to calculate a set of valuation metrics.","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/FundValuationRequest"},"example":{"asAt":"2018-03-05T00:00:00.0000000+00:00","metrics":[{"key":"Instrument/default/Name","op":"Value","options":{}},{"key":"Valuation/PV","op":"Value","options":{}}],"groupBy":["Instrument/default/Name"],"sort":[{"key":"Instrument/default/RIC","sortOrder":"Ascending"}],"equipWithSubtotals":false,"returnResultAsExpandedTypes":false,"includeOrderFlow":{"includeEntityTypes":"None"},"fundValuationSchedule":{"effectiveFrom":"2018-03-05T00:00:00.0000000+00:00","effectiveAt":"2018-03-05T00:00:00.0000000+00:00","diaryEntry":"DiaryEntryMarch2018","holidayCalendars":[],"valuationDateTimes":[]}}},"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/FundValuationRequest"},"example":{"asAt":"2018-03-05T00:00:00.0000000+00:00","metrics":[{"key":"Instrument/default/Name","op":"Value","options":{}},{"key":"Valuation/PV","op":"Value","options":{}}],"groupBy":["Instrument/default/Name"],"sort":[{"key":"Instrument/default/RIC","sortOrder":"Ascending"}],"equipWithSubtotals":false,"returnResultAsExpandedTypes":false,"includeOrderFlow":{"includeEntityTypes":"None"},"fundValuationSchedule":{"effectiveFrom":"2018-03-05T00:00:00.0000000+00:00","effectiveAt":"2018-03-05T00:00:00.0000000+00:00","diaryEntry":"DiaryEntryMarch2018","holidayCalendars":[],"valuationDateTimes":[]}}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/FundValuationRequest"},"example":{"asAt":"2018-03-05T00:00:00.0000000+00:00","metrics":[{"key":"Instrument/default/Name","op":"Value","options":{}},{"key":"Valuation/PV","op":"Value","options":{}}],"groupBy":["Instrument/default/Name"],"sort":[{"key":"Instrument/default/RIC","sortOrder":"Ascending"}],"equipWithSubtotals":false,"returnResultAsExpandedTypes":false,"includeOrderFlow":{"includeEntityTypes":"None"},"fundValuationSchedule":{"effectiveFrom":"2018-03-05T00:00:00.0000000+00:00","effectiveAt":"2018-03-05T00:00:00.0000000+00:00","diaryEntry":"DiaryEntryMarch2018","holidayCalendars":[],"valuationDateTimes":[]}}},"application/*+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/FundValuationRequest"},"example":{"asAt":"2018-03-05T00:00:00.0000000+00:00","metrics":[{"key":"Instrument/default/Name","op":"Value","options":{}},{"key":"Valuation/PV","op":"Value","options":{}}],"groupBy":["Instrument/default/Name"],"sort":[{"key":"Instrument/default/RIC","sortOrder":"Ascending"}],"equipWithSubtotals":false,"returnResultAsExpandedTypes":false,"includeOrderFlow":{"includeEntityTypes":"None"},"fundValuationSchedule":{"effectiveFrom":"2018-03-05T00:00:00.0000000+00:00","effectiveAt":"2018-03-05T00:00:00.0000000+00:00","diaryEntry":"DiaryEntryMarch2018","holidayCalendars":[],"valuationDateTimes":[]}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ListAggregationResponse"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ListAggregationResponse"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ListAggregationResponse"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Experimental"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}